com.verisign.epp.codec.loginsec.v1_0

## Enum EventLevel

- java.lang.Object
- - java.lang.Enum<EventLevel>
  - - com.verisign.epp.codec.loginsec.v1_0.EventLevel

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventLevel>

      public enum EventLevel
      extends java.lang.Enum<EventLevel>

  Event level, which include the following possible values:
  - `WARNING` - Event that needs to be addressed.
  - `ERROR` - Event that needs to be addressed immediately.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventLevel` | `getEventLevel(java.lang.String aString)` Get the event level enumerated value given the matching string.
    `java.lang.String` | `toString()` Convert the enumerated `EventLevel` value to a `String`.
    `static EventLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WARNING

          public static final EventLevel WARNING

    - #### ERROR

          public static final EventLevel ERROR

  - ### Method Detail

    - #### values

          public static EventLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventLevel c : EventLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventLevel valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getEventLevel

          public static EventLevel getEventLevel(java.lang.String aString)

      Get the event level enumerated value given the matching string.
      Parameters:
        `aString` - `EventLevel` enumerated string to convert to an enumerated `EventLevel` instance.
      Returns:
        Enumerated `EventLevel` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `EventLevel` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `EventLevel` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<EventLevel>`